commit:     d1daa1601e9142997e4017cdb64ba65cef3d70d9
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 14 08:31:46 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Apr 14 08:31:46 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1daa160

x11-misc/xscreensaver: Version 5.39.

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 x11-misc/xscreensaver/Manifest                 |   1 +
 x11-misc/xscreensaver/xscreensaver-5.39.ebuild | 145 +++++++++++++++++++++++++
 2 files changed, 146 insertions(+)

diff --git a/x11-misc/xscreensaver/Manifest b/x11-misc/xscreensaver/Manifest
index 5e7947dacf4..7fb0a5ae854 100644
--- a/x11-misc/xscreensaver/Manifest
+++ b/x11-misc/xscreensaver/Manifest
@@ -1,3 +1,4 @@
 DIST xscreensaver-5.36.tar.gz 10600872 BLAKE2B 
5039722fa3aae2fdb42fb99516685f0c1fd91112f1104457988d0e7dbeb995266d60e76178a099523c920c07e1b8bc2c73c223a7a2db7b728c599cb1959a6751
 SHA512 
4f476135bbfdce0593bb6e5a6a48dd474fcce6031214ffbb3d43dc91bb8e1a28b3e59fc960d5f1a9ac0bdd3dc4531da26679bffbe47b7fb00b67ad74295b40f7
 DIST xscreensaver-5.37.tar.gz 10598833 BLAKE2B 
44462bdf735c0eeb460e400b260340a61e57f343f0ca59f38c7b8d2c7fa03a5b08a5ee424062bba8a4c95da2ec32d89cbcf3cc84cd112fbd67314d3db56bd0ef
 SHA512 
9bef3caf4eb495bebb4c1818ed0bb222be28a7a8d525e2bce70e92d7617bc8cf89750dfaa8cf7a3cd0c489b4831c95f9ff8a0164579cf047aa63681254c8e443
 DIST xscreensaver-5.38.tar.gz 10712548 BLAKE2B 
02630aa7daa3faf8aa7ff453218bed5e3db287b7c4d9b564a6d8822db8b2e1ae6be7843342d585f2d2900d2bd0e7fd2a12d49748d81bf10818fa5bc4254f6ef8
 SHA512 
9014571505afd3a116f541334ea37737659f63f4cbb267a56be451e2c353d9e57218119670a44297d36d140672ea423d0682433401b17749138ab6baf6507561
+DIST xscreensaver-5.39.tar.gz 12157285 BLAKE2B 
b33bf64541d07b2f65788160af0bac308d4bea78a6d2e13332ac0e80a1811cc8270e0922467c76a77bd3481b367e4421b6919d017e7a81b656c4bcc85c404741
 SHA512 
3f7aca6b428339c5d271d52deed469ee43370134d581a83e8f727dbe00e04a6c0f542952144f79447cba3f1f0c92ed7b1591e58255a4f94c0fc77342df19e0f7

diff --git a/x11-misc/xscreensaver/xscreensaver-5.39.ebuild 
b/x11-misc/xscreensaver/xscreensaver-5.39.ebuild
new file mode 100644
index 00000000000..53d05029957
--- /dev/null
+++ b/x11-misc/xscreensaver/xscreensaver-5.39.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils flag-o-matic multilib pam
+
+DESCRIPTION="A modular screen saver and locker for the X Window System"
+HOMEPAGE="https://www.jwz.org/xscreensaver/";
+SRC_URI="
+       ${HOMEPAGE}${P}.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE="gdm jpeg new-login offensive opengl pam +perl selinux suid xinerama"
+
+COMMON_DEPEND="
+       >=gnome-base/libglade-2
+       dev-libs/libxml2
+       media-libs/netpbm
+       x11-apps/appres
+       x11-apps/xwininfo
+       x11-libs/gdk-pixbuf:2[X]
+       x11-libs/gtk+:2
+       x11-libs/libX11
+       x11-libs/libXext
+       x11-libs/libXft
+       x11-libs/libXi
+       x11-libs/libXmu
+       x11-libs/libXrandr
+       x11-libs/libXt
+       x11-libs/libXxf86misc
+       x11-libs/libXxf86vm
+       jpeg? ( virtual/jpeg:0 )
+       new-login? (
+               gdm? ( gnome-base/gdm )
+               !gdm? ( || ( x11-misc/lightdm lxde-base/lxdm ) )
+               )
+       opengl? (
+               virtual/glu
+               virtual/opengl
+       )
+       pam? ( virtual/pam )
+       xinerama? ( x11-libs/libXinerama )
+"
+# For USE="perl" see output of `qlist xscreensaver | grep bin | xargs grep 
'::'`
+RDEPEND="
+       ${COMMON_DEPEND}
+       perl? (
+               dev-lang/perl
+               dev-perl/libwww-perl
+               virtual/perl-Digest-MD5
+       )
+       selinux? ( sec-policy/selinux-xscreensaver )
+"
+DEPEND="
+       ${COMMON_DEPEND}
+       dev-util/intltool
+       sys-devel/bc
+       sys-devel/gettext
+       virtual/pkgconfig
+       x11-proto/recordproto
+       x11-proto/scrnsaverproto
+       x11-proto/xextproto
+       x11-proto/xf86miscproto
+       x11-proto/xf86vidmodeproto
+       xinerama? ( x11-proto/xineramaproto )
+"
+
+src_prepare() {
+       sed -i configure.in -e '/^ALL_LINGUAS=/d' || die
+       strip-linguas -i po/
+       export ALL_LINGUAS="${LINGUAS}"
+
+       if use new-login && ! use gdm; then #392967
+               sed -i \
+                       -e "/default_l.*1/s:gdmflexiserver 
-ls:${EPREFIX}/usr/libexec/lightdm/&:" \
+                       configure{,.in} || die
+       fi
+
+       eapply \
+               "${FILESDIR}"/${PN}-5.05-interix.patch \
+               "${FILESDIR}"/${PN}-5.20-blurb-hndl-test-passwd.patch \
+               "${FILESDIR}"/${PN}-5.20-test-passwd-segv-tty.patch \
+               "${FILESDIR}"/${PN}-5.20-tests-miscfix.patch \
+               "${FILESDIR}"/${PN}-5.28-comment-style.patch \
+               "${FILESDIR}"/${PN}-5.31-pragma.patch \
+               "${FILESDIR}"/${PN}-5.35-gentoo.patch
+
+       use offensive || eapply "${FILESDIR}"/${PN}-5.35-offensive.patch
+
+       eapply_user
+
+       eautoconf
+       eautoheader
+}
+
+src_configure() {
+       if use ppc || use ppc64; then
+               filter-flags -maltivec -mabi=altivec
+               append-flags -U__VEC__
+       fi
+
+       unset BC_ENV_ARGS #24568
+       export RPM_PACKAGE_VERSION=no #368025
+
+       econf \
+               $(use_with jpeg) \
+               $(use_with new-login login-manager) \
+               $(use_with opengl gl) \
+               $(use_with pam) \
+               $(use_with suid setuid-hacks) \
+               $(use_with xinerama xinerama-ext) \
+               --enable-locking \
+               --with-configdir="${EPREFIX}"/usr/share/${PN}/config \
+               --with-dpms-ext \
+               --with-gtk \
+               --with-hackdir="${EPREFIX}"/usr/$(get_libdir)/misc/${PN} \
+               --with-pixbuf \
+               --with-proc-interrupts \
+               --with-randr-ext \
+               --with-text-file="${EPREFIX}"/etc/gentoo-release \
+               --with-x-app-defaults="${EPREFIX}"/usr/share/X11/app-defaults \
+               --with-xdbe-ext \
+               --with-xf86gamma-ext \
+               --with-xf86vmode-ext \
+               --with-xinput-ext \
+               --with-xshm-ext \
+               --without-gle \
+               --without-kerberos \
+               --x-includes="${EPREFIX}"/usr/include \
+               --x-libraries="${EPREFIX}"/usr/$(get_libdir)
+}
+
+src_install() {
+       emake install_prefix="${D}" install
+
+       dodoc README{,.hacking}
+
+       use pam && fperms 755 /usr/bin/${PN}
+       pamd_mimic_system ${PN} auth
+
+       rm -f "${ED}"/usr/share/${PN}/config/{electricsheep,fireflies}.xml
+}

Reply via email to